import { ApolloError } from 'apollo-client';
import { Store } from '@xterm-stack/client-redux';
import { ITerminalBuffer } from '@xterm-stack/core';
export interface IXtermDataProps {
    error?: ApolloError;
    loadingTerminalInstances?: boolean;
    loadingActiveInstance?: boolean;
    terminalBuffer?: ITerminalBuffer;
    activeInstance?: Store.TerminalInstance;
    terminalInstances?: Store.TerminalInstance[];
    refetchTerminalInstances?: Function;
    refetchActiveInstance?: Function;
    subscribeTerminalData?: Function;
    saveTerminalBuffer?: Function;
    createInstance?: Function;
    deleteInstance?: Function;
    sendText?: Function;
    setActiveInstance?: Function;
    setInstanceSize?: Function;
}
export declare const withXtermData: any;
