import { FelaWithStylesProps, FelaWithThemeProps } from 'react-fela';
import { ITheme } from '@workbench-stack/client-core';
export declare const TERMINAL_MENU_ID = "terminal_contextmenu";
export declare namespace IXtermMenuComponent {
    interface OwnProps {
        textSelected?: string;
        theme?: any;
        styles?: any;
        show?: () => any;
        create?: () => any;
        copy?: () => any;
        paste?: (args) => any;
        selectAll?: () => any;
        clear?: () => any;
    }
    interface Styles {
        contextmenu: any;
    }
    type Props = OwnProps & FelaWithStylesProps<OwnProps, Styles, ITheme>;
    type PropsWithTheme = Props & FelaWithThemeProps<ITheme>;
}
declare const _default: any;
export default _default;
